# only MS-DOS specific output files and rules
OSOBJS = $(OBJ)/msdos/msdos.o $(OBJ)/msdos/video.o $(OBJ)/msdos/blit.o $(OBJ)/msdos/asmblit.o \
	$(OBJ)/msdos/gen15khz.o $(OBJ)/msdos/ati15khz.o \
	$(OBJ)/msdos/sound.o $(OBJ)/msdos/input.o $(OBJ)/msdos/fileio.o \
	$(OBJ)/msdos/ticker.o $(OBJ)/msdos/config.o $(OBJ)/msdos/fronthlp.o \
	$(OBJ)/msdos/mode15k.o	\
	$(OBJ)/msdos/scrlist.o	\
	$(OBJ)/msdos/g400__15.o \
	$(OBJ)/msdos/s6326_15.o \
	$(OBJ)/msdos/savage15.o \
	$(OBJ)/msdos/tdfx__15.o \
	$(OBJ)/msdos/laguna15.o \
	$(OBJ)/msdos/s3.o \
	$(OBJ)/msdos/blade15.o \
	$(OBJ)/msdos/wss.o \
	$(OBJ)/msdos/ip4point.o


$(OBJ)/msdos/ip4point.o: src/msdos/ip4point.asm
	@echo Assembling $<...
	$(ASM) -o $@ $(ASMFLAGS) $(subst -D,-d,$(ASMDEFS)) $<



# video blitting functions
$(OBJ)/msdos/asmblit.o: src/msdos/asmblit.asm
	@echo Assembling $<...
	$(ASM) -o $@ $(ASMFLAGS) $(subst -D,-d,$(ASMDEFS)) $<

# check if this is a MESS build
ifdef MESS
# additional OS specific object files
OSOBJS += $(OBJ)/mess/msdos.o $(OBJ)/mess/msdos/fileio.o \
	$(OBJ)/mess/msdos/dirio.o $(OBJ)/mess/msdos/nec765.o \
	$(OBJ)/mess/snprintf.o
endif
